[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.HandleNeeded

Call this method when your code requires a valid Handle for this control.

## Declaration

Source position: controls.pp line 2431

`public procedure TWinControl.HandleNeeded;`

## Description

An attempt is made to create a widget, when not already done.

Remark: | In certain situations it may be impossible to create a widget right now!